* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    min-height: calc(var(--vh, 1vh) * 100);
}

.content-area {
    min-height: calc(var(--vh, 1vh) * 86);
}
@supports (-webkit-touch-callout: none) {
    .content-area {
        min-height: 86vh; /* Adjust this as needed */
    }
}

.links, .rechts {
    height: calc(var(--vh, 1vh) * 86); /* Adjusted for 86vh */
}




body {
    font-family: Arial, sans-serif;
}

.menu-item {
    display: flex;
    justify-content: center;
    align-items: center;
    /* background-color: #f0f0f0; */
}

.oben, .unten {
    height: 7vh;
    width: 100vw;
    background-color: #eee;
    font-size: 1.5rem;
    font-weight: bold;
}

.main-row {
    display: flex;
    width: 100vw;
    height: 86vh;
}

.links, .rechts {
    width: 7vh; /* Make the width equal to the height of oben and unten */
    height: 86vh;
    background-color: #f0f0f0;
    font-size: 1.5rem;
    font-weight: bold;    
    display: flex;
    justify-content: center;
    align-items: center;
    writing-mode: vertical-rl;
    text-orientation: upright;
    letter-spacing: -0.1em;

}

.content-area {
    flex-grow: 1; /* This ensures content-area takes up the remaining space */
    height: 86vh;
    background-color: #b24a84;
    display: flex;
    justify-content: center;
    align-items: center;
}



.hidden {
    display: none;
}

.active {
    position: relative;
}

/* .active::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 36%;
    margin-top: 32%;
    background: url('assets/fuesse.gif') no-repeat center center;
    background-size: cover;
    pointer-events: none; 
} */
.menu-item.active::after {
    content: '';
    position: absolute;
    background-repeat: no-repeat;
    background-size: cover;
    pointer-events: none; /* Ensures the overlay does not block clicks */
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.menu-item.active.oben::after {
    background-image: url('overlay_oben.gif');
    width: 33%;
    height: 100%;
}

.menu-item.active.links::after {
    background-image: url('overlay_links.gif');
    width: 100%;
    height: 45%;
}

.menu-item.active.rechts::after {
    background-image: url('overlay_links.gif'); /* Adjusted for rechts */
    width: 100%;
    height: 45%;
}

.menu-item.active.unten::after {
    background-image: url('overlay_oben.gif');
    width: 33%;
    height: 100%;
}

.titleLanding{
    font-size: 1.5rem;
    font-weight: bold; 
    text-align: center;
}

.imgContainer{
    height: 86vh;
    padding: 5vh;
    width: 50%;
}
.fitted-image{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.cropTop{
    object-position: top;
}
.contentText{
    font-size: 1.3rem;
    margin-top: 20vh;
}
.contentTextAlign{
    font-size: 1.1rem;
    width: 90%;
    text-align: left;
}

.links, .rechts {
    width: 7vh; /* current width */
    min-width: 7vh; /* prevent shrinking */
}
.contentTitle{
    font-size: 1.3rem;
    font-weight: bold; 
}

a{
    color: inherit;
    text-decoration: underline;
}

details{
    cursor: pointer;
}
details[open] summary ~ * {
    animation: open 0.3s ease-in-out;
  }

  @keyframes open {
    0% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }
  details summary::-webkit-details-marker {
    display: none;
  }
  
  details summary {
    width: 100%;
    padding: 0.8rem 0;
    border-top: 1px solid black;
    position: relative;
    cursor: pointer;
    font-weight: 300;
    list-style: none;
  }
  
  details summary:after {
    content: "+";
    color: black;
    position: absolute;
    font-size: 1.75rem;
    line-height: 0;
    margin-top: 0.75rem;
    right: 0;
    font-weight: 200;
    transform-origin: center;
    transition: 200ms linear;
  }
  details[open] summary:after {
    transform: rotate(45deg);
    font-size: 2rem;
  }
  details summary {
    outline: 0;
  }
  details p {
    font-size: 0.95rem;
    margin: 0 0 1rem;
    padding-top: 1rem;
  }
  @media screen and (min-width: 769px) {  

    .contentContainer{
        width: 60%;
        height: 100%;
        text-align: center;
        padding-top: 5vh;
        overflow: scroll;
        scrollbar-width: none;
    }
  }

  @media screen and (max-width: 768px) {
    .content-area{
        display: block;
        overflow: scroll;
    }

    .imgContainer{
        width: 100%;
        padding: 3vh;
        height: 60vh;

    }
    .titleLanding{
        padding-top: 12vh;
    }
    .contentContainer{
        width:100%;
        padding: 3vh;
    }
    .menu-item.active.oben::after {
        background-image: url('overlay_unten.gif');
        width: 80%;
        height: 100%;
    }
    .menu-item.active.unten::after {
        background-image: url('overlay_unten.gif');
        width: 80%;
        height: 100%;
    }
    .unten {
        position: fixed;
        bottom: 0;
        width: 100%;
        z-index: 10; /* Ensures it overlaps other content */
    }

    /* Optional: add padding to .content-area to avoid content being hidden behind .unten */
    .content-area {
        padding-bottom: 7vh; /* Adjust based on .unten height */
    }

  }
